Subject: Re: [Detnet] extending DetNet Flow TSpec in the flow information draft

From: Balázs Varga A <[email-masked]>
Date: Tue, 1 Dec 2020 13:53:20 +0000

Hi,
Thanks for sorting this out. I am fine with the proposed text.
Unless objection, I add this text below to the new version of the flow info draft.
Thx & Cheers
Bala'zs

From: detnet <[email-masked]> On Behalf Of Janos Farkas
Sent: Monday, November 30, 2020 10:32 PM
To: 'DetNet WG' <[email-masked]>
Subject: [Detnet] extending DetNet Flow TSpec in the flow information draft

Hi,

It was pointed out during the discussions on the packet ordering fucntion, that the current Traffic Specification of the DetNet Flow may not be enough for latency engineering if the Packet Ordering Function is applied, e.g., https://mailarchive.ietf.org/arch/msg/detnet/4QZw2Qauqyrse5ZptVmttuszhIA/:

"this specification is good when one like ensure capability can handle the traffic by specifying the maxmimum kind of resource the flow will consume.

But it doesn't work for calculate a bounded delay as by lowering the number of packets per second actually sent, the actual latency increases in the POF if it is configured only on number of packets. To bound latency based on number of packets, in that case you have to enforce that the flow have a minimal packet interval."

Along the lines of the proposal in the same thread: https://mailarchive.ietf.org/arch/msg/detnet/fhSqDPp6g42tKcQdjv3FMwxgwwU/:

" I agree that minimum sized frames are needed as well.  Please see the text I proposed in my last message and note that the reference traffic specification (RFC2212) includes a minimum policed unit (m), and the

maximum   datagram size (M)."

To address this, two new attributes are suggested to be added to Section 5.5. Traffic Specification of the DetNet Flow (https://tools.ietf.org/html/draft-ietf-detnet-flow-information-model-11#section-5.5):

NEW text to be added right after item c:

  d.  MinPayloadSize: the minimum payload size that the Ingress will

       transmit.

   e.  MinPacketsPerInterval: the minimum number of packets that the

       Ingress will transmit in one Interval.

When MinPayloadSize and MinPacketsPerInterval parameters

are used, then all packets less than the MinPayloadSize will be

counted as being of the size MinPayloadSize during packet

processing when packet size matters, e.g., when policing; and

all flows having less than MinPacketsPerInterval will be counted

as having MinPacketsPerInterval when the number of packets

per interval matters, e.g., during resource reservation. However,

flows having less than MinPacketsPerInterval may result in a

different network behavior than the DetNet network has been

engineered for. MinPayloadSize and MinPacketsPerInterval

parameters, for example, may be used when engineering the

latency bounds of a DetNet flow when POF is applied to the

given DetNet flow.

Comments are welcome.

Best regards,
Janos